LuchoWiki

Cosas que debería hacer más a menudo

User Tools

Site Tools


desarrollo:esperanto:instalacion

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
desarrollo:esperanto:instalacion [20100129 16:59]
manager Problemas (actualizado), favicon
desarrollo:esperanto:instalacion [20100722 14:43]
manager
Line 79: Line 79:
  
 ==== initPAnsiStrings ==== ==== initPAnsiStrings ====
 +**Problema**:​ (Linux Ubuntu 6.10 o más reciente) Aparece el siguiente mensaje al tratar de ejecutar ''​kurso3'':​
  
-(Linux Ubuntu 6.10 o más reciente) -- Aparece el siguiente mensaje al tratar de ejecutar ''​kurso3''​:+  kursosymbol lookup error: kurso: undefined symbol: initPAnsiStrings
  
-''​kursosymbol lookup error: kurso: undefined symbol: initPAnsiStrings''​+**Soluciones posibles**:
  
-**Soluciones posibles**:​\\ 
 Una de las siguientes alternativas:​ Una de las siguientes alternativas:​
   - Si instalaste el software modificando alguna ruta (por ejemplo, a ''/​home///​mi_cuenta///​kurso''​),​ deberás crear los siguientes vínculos simbólicos (desde la carpeta de "​kurso"​):​   - Si instalaste el software modificando alguna ruta (por ejemplo, a ''/​home///​mi_cuenta///​kurso''​),​ deberás crear los siguientes vínculos simbólicos (desde la carpeta de "​kurso"​):​
Line 91: Line 91:
   - En particular si instalaste vía el gestor de paquetes, chequea que tienes los sigientes programas y herramientas instalados:   - En particular si instalaste vía el gestor de paquetes, chequea que tienes los sigientes programas y herramientas instalados:
     * alguna fuente Unicode (p.ej.: [[wp>​Bitstream Vera]]).     * alguna fuente Unicode (p.ej.: [[wp>​Bitstream Vera]]).
-    * bibliotecas base de Qt3 (están disponibles si tienes instalado KDE, bajo el nombre ''​qt3-mt''​).+    * bibliotecas base de Qt3 (están disponibles si tienes instalado KDE, bajo el nombre ''​qt3-mt''​). Una de las bibliotecas específicas que debe estar disponible es **''​libborqt''​**. 
 +      * ¿Dónde encontrar ''​libborqr''?​ Teóricamente en el sitio web de Borland, los creadores de lal biblioteca si no me equivoco. En cualquier caso está [[Go>​libborqt|Google]]. Un repositorio conocido es el de [[http://​www.rpmfind.net/​linux/​rpm2html/​search.php?​query=libborqt|rpmFind]].
  
-Si, aun así, el error persiste, ​trata de crear un lanzador como el siguiente para ejecutar el programa:+  
 +Si, aun así, el error persiste, ​crea un lanzador como el siguiente para ejecutar el programa:
  
 <code bash esperanto-kurso.sh>​ <code bash esperanto-kurso.sh>​
 #!/bin/sh #!/bin/sh
 +# esperanto-kurso3 lanzador especial
 +# Créditos: Luis Machuca Bezzaza
 +# Licencia: GPL v2
 +# Fecha: 2008-08
  
 KURSO_SHARE=/​usr/​local/​share/​kurso KURSO_SHARE=/​usr/​local/​share/​kurso
Line 108: Line 114:
  
 <note tip> <note tip>
-Asegúrate de probar el lanzador ejecutándolo desde una consola.</​note>​+Asegúrate de probar el lanzador ejecutándolo desde una consola. 
 +</​note>​
  
  
 ==== Sin sonido ==== ==== Sin sonido ====
-(Linux) ​-- No tienes sonido.+**Problema**: ​(Linux) No tienes sonido.
  
 **Soluciones posibles**: **Soluciones posibles**:
  
-  * Chequea que tienes algún programa para reproducir MP3, como por ejemplo: ''​mpg123''​ (por defecto), ''​xmms'',​ ''​beep-media-player'',​ etc. +  * Chequea que tienes algún programa para reproducir ​audio MP3, como por ejemplo: ''​mpg123''​ (por defecto), ''​xmms'',​ ''​beep-media-player'',​ etc. 
-    * En **Debian** o similares: +    * En **Debian** o similares: <code bash>
-<code bash>+
 #con privilegios de superusuario #con privilegios de superusuario
 apt-get install mpg123 apt-get install mpg123
 </​code>​ </​code>​
-    * En **Fedora** o similares: +    * En **Fedora** o similares: <code bash>
-<code bash>+
 #con privilegios de superusuario #con privilegios de superusuario
 yum install mpg123 yum install mpg123
 </​code>​ </​code>​
 +  * Los pasos anteriores también debieran hacerse cargo de que esté instalado el __códec de MP3__, que en muchas distribuciones no viene pre-instalado debido a problemas de licencias. Si el códec no está instalado, sigue los pasos específicos de tu distribución para instalarlos.
   * Chequea el volumen de tu tarjeta de sonido (a veces sucede).   * Chequea el volumen de tu tarjeta de sonido (a veces sucede).
  
Line 132: Line 138:
 En algunas distribuciones,​ puede ser preferible ''​mpg321''​ (un reproductor libre y más liviano) a ''​mpg123''​.</​note>​ En algunas distribuciones,​ puede ser preferible ''​mpg321''​ (un reproductor libre y más liviano) a ''​mpg123''​.</​note>​
  
 +==== Mi sistema es de 64-bit ====
 +**Problema**:​ (Sistemas de 64-bit) Ninguno de los dos problemas anteriores se ha presentado y he ejecutado los pasos para solucionarlo,​ pero sin éxito; __mi sistema es de 64-bit__.
 +
 +<note tip>
 +Agradecimientos a **michas** en los [[http://​debianforum.de/​forum/​viewtopic.php?​f=28&​t=117641|Foros de Debian en Alemán|favicon|]] y a **Gabriel (Kinzel?)** quien me ha hecho llegar la siguiente información y ha contribuido a detectar el problema y probar la solución.
 +</​note>​
 +
 +La aplicación de **Curso de Esperanto** está construída para sistemas de 32-bit (específicamente para procesadores Intel familia __Pentium__ y superior). No funcionará tal-cual en sistemas de 64-bit.
 +
 +**Solución Adecuada**: instalar las bibliotecas de compatibilidad de 32-a-64-bit correspondientes a tu distribución de Linux.
 +
 +Para sistemas Debian y similares, los siguientes comandos (con privilegio de superadministrador) permitirán instalar las bibliotecas necesarias:
 +
 +  apt-get install ia32-libs
 +  mv /​usr/​lib/​libborqt-* /usr/lib32/
 + 
 + 
 ==== libao y pulseaudio ==== ==== libao y pulseaudio ====
  
-TOBEDONE+**Problema**:​ en distribuciones recientes, como //Fedora 12//, el Curso funciona correctamente,​ pero los programas que escojo no reproducen el audio; he __modificado la configuración por defecto de PulseAudio__. 
 + 
 +Muchos programas de audio que vienen empaquetados en las distribuciones más recientes, como Ubuntu 9.10 y Fedora 12, esperan por defecto enviar su salida de audio a PulseAudio, el "<​ttip:​nuevo y mejoado>​modo de sarcasmo activado</​ttip>"​ servidor de Audio en Linux. Sin embargo, si has cambiado la configuración por defecto de PulseAudio o si derechamente lo has desactivado,​ la aplicación de audio que [[configurar-aplicaciones|hayas escogido]] podría no arrojar sonido. 
 + 
 +**Solución temporal**: indicar al programa en cuestión que utilice la salida por ALSA. 
 + 
 +En las opciones de configuración del Curso de Esperanto dirígete a los programas de multimedia, y configua tu programa de audio para que utilice la salida de ALSA al ser invocado. 
 + 
 +Por ejemplo, en vez de llamar a ''​mpg123'',​ puedes llamarlo de la siguiente forma: 
 + 
 +  mpg123 -o alsa  
 +  
 +:!: (deja un espacio al final de la línea) 
 +  
 +Configuraciones similares para otros programas:​ 
 + 
 +  * ''​mpg321'':​ igual al anterior -- ''​mpg321 -o alsa''​ 
 +  * MPlayer (por consola) -- ''​mplayer -ao alsa'';​ usar OSS también es una opción -- ''​mplayer -ao oss''​ 
 +  * VLC Player (¡no recomendado!) -- ''​cvlc --aout alsa --play-and-exit''​ 
  
 ==== Otros ==== ==== Otros ====
 +
 +----
 +
 +**¿Instalación terminada con éxito? → [[configurar-teclado|Configura tu teclado para poder escribir en Esperanto]]
  
 {{tag>​esperanto}} {{tag>​esperanto}}
 {{indexmenu_n>​11}} {{indexmenu_n>​11}}
  
desarrollo/esperanto/instalacion.txt · Last modified: 20120526 10:53 (external edit)